document.addEventListener('DOMContentLoaded', () => {
  // Add smooth scrolling
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add table sorting functionality
  const tables = document.querySelectorAll('table');
  tables.forEach(table => {
    const headers = table.querySelectorAll('th');
    headers.forEach((header, index) => {
      header.addEventListener('click', () => {
        sortTable(table, index);
      });
      header.style.cursor = 'pointer';
    });
  });
});

function sortTable(table, column) {
  const rows = Array.from(table.querySelectorAll('tr')).slice(1);
  const direction = table.dataset.sortDir === 'asc' ? -1 : 1;
  
  const sortedRows = rows.sort((a, b) => {
    const aCol = a.querySelectorAll('td')[column].textContent;
    const bCol = b.querySelectorAll('td')[column].textContent;
    return aCol > bCol ? direction : -direction;
  });

  table.dataset.sortDir = direction === 1 ? 'asc' : 'desc';
  
  while (table.rows.length > 1) {
    table.deleteRow(1);
  }
  
  sortedRows.forEach(row => {
    table.appendChild(row);
  });
}